<?
/*
Copyright (C) 2009  VideoWhisper.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

// Require the base controller
jimport('joomla.application.component.controller');


class RoomsControllerRoom extends JController
{

function display() {
parent::display();
}

/**
 * constructor (registers additional tasks to methods)
 * @return void
 */
function __construct()
{
    parent::__construct();

    // Register Extra tasks
    $this->registerTask( 'add'  ,     'edit' );
}


/**
 * display the edit form
 * @return void
 */
function edit()
{
    JRequest::setVar( 'view', 'room' );
    JRequest::setVar( 'layout', 'form'  );
    JRequest::setVar('hidemainmenu', 1);

    parent::display();
}


/**
 * save a record (and redirect to main page)
 * @return void
 */
function save()
{
    $model = $this->getModel('room');

    if ($model->store()) {
        $msg = JText::_( 'Room Saved!' );
    } else {
        $msg = JText::_( 'Error Saving Room' ) . "<BR>" . $model->getError();
    }

    // Check the table in so it can be edited.... we are done with it anyway
    $link = 'index.php?option=com_videowhisper_conference';
    $this->setRedirect($link, $msg);
}

/**
 * remove record(s)
 * @return void
 */
function remove()
{
    $model = $this->getModel('room');
    if(!$model->delete()) {
        $msg = JText::_( 'Error: One or more rooms could not be deleted' ) . "<BR>" . $model->getError();
    } else {
        $msg = JText::_( 'Rooms(s) Deleted' );
    }

    $this->setRedirect( 'index.php?option=com_videowhisper_conference', $msg );
}

/**
 * cancel editing a record
 * @return void
 */
function cancel()
{
    $msg = JText::_( 'Operation Cancelled' );
    $this->setRedirect( 'index.php?option=com_videowhisper_conference', $msg );
}


}
?>