CREATE TABLE `#__erp24_rooms` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `owner` varchar(64) NOT NULL,
  `timecreated` int(11) NOT NULL default '0',
  `timelastaccess` int(11) NOT NULL default '0',
  `timeexpire` int(11) NOT NULL default '0',
  `timeout` int(11) NOT NULL default '0',
  `credits` int(11) NOT NULL default '0',
  `creditsreset` int(11) NOT NULL,
  `creditslastreset` int(11) NOT NULL,
  `showcredit` varchar(100) NOT NULL,
  `timeused` bigint(20) NOT NULL default '0',
  `welcome` text NOT NULL,
  `layout` text NOT NULL,
  `fillwindow` tinyint(3) unsigned NOT NULL default '0',
  `room` varchar(64) NOT NULL,
  `capacity` int(10) NOT NULL default '100',
  `camres` varchar(9) NOT NULL default '320x240',
  `camfps` int(10) unsigned NOT NULL default '15',
  `bandwidth` int(10) unsigned NOT NULL default '40960',
  `maxbandwidth` int(10) unsigned NOT NULL default '81920',
  `visitors` tinyint(3) unsigned NOT NULL default '1',
  `background` varchar(200) NOT NULL,
  `admins` varchar(100) NOT NULL default 'Admins',
  `mcam` varchar(100) NOT NULL default 'All',
  `msecond` varchar(100) NOT NULL default 'All',
  `mchat` varchar(100) NOT NULL default 'All',
  `mprivate` varchar(100) NOT NULL default 'All',
  `mfiles` varchar(100) NOT NULL default 'All',
  `mfilesu` varchar(100) NOT NULL default 'Members',
  `mfilesd` varchar(100) NOT NULL default 'Admins',
  `musers` varchar(100) NOT NULL default 'All',
  `mwatch` varchar(100) NOT NULL default 'All',
  `mext` varchar(100) NOT NULL default 'Admins',
  `rtmp` varchar(200) NOT NULL,
  `rtmp1` varchar(200) NOT NULL,
  `rtmp2` varchar(200) NOT NULL,
  `stream1` varchar(100) NOT NULL,
  `stream2` varchar(100) NOT NULL,
  `suspended` tinyint(4) NOT NULL default '0',
  `public` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `timelastaccess` (`timelastaccess`),
  KEY `room` (`room`),
  KEY `creditslastreset` (`creditslastreset`),
  KEY `owner` (`owner`),
  KEY `public` (`public`),
  KEY `suspended` (`suspended`),
  KEY `timeexpire` (`timeexpire`),
  KEY `timeout` (`timeout`),
  KEY `creditsreset` (`creditsreset`)
);